• Announcements

    • Reminder - MoDaCo position on illegal content   07/30/15

      ILLEGAL CONTENT I'd like to just reaffirm MoDaCo's position regarding piracy and illegal content in the light of some recent questions / postings. Posts will be censored by myself or my moderation team if the contain or link to: Illegal / pirated / cracked software or sites that host such softwareNintendo emulators / ROMs or sites hosting them (in light of Nintendo's legal stance)CUSTOM ROMS You may discuss and post links to custom device ROMs on MoDaCo, provided the following rules are adhered to: ROMs must not contain any illegal 3rd party software (this includes trial versions included without permission)ROMs must give full credit to the original authorISSUES If you have any issues with this policy, please contact PaulOBrien directly via PM.
    • Reminder: Selling items on the forum directly is not allowed   07/30/15

      Please note that selling items on the forum directly is not allowed by the forum rules. There is a forum for eBay auctions whereby you can list the items on eBay and link to them there. This is the ONLY forum for this type of activity. You may also advertise links to the eBay forum in your signature. Please note that selling directly in contravention of these rules will result in a warning / suspension / ban.

XMOD: Region / Device / Root patched Google Wallet

763 posts in this topic

Posted (edited)

Paul,

Does this include the Wallet or it only patch if I have Wallet already?

I don't see Wallet on my HOX after I installed Xposed and this apk.

The reason I am asking coz I can't get Wallet from Play and I don't have the Wallet.apk....

My mistake, I just see that I need to have wallet first. I downloaded GWallet from my GNex and transferred the apk to my HOX but the wallet won't initialize. Can you help?

Thank you,

Edited by RayYung
0

Share this post


Link to post
Share on other sites

Posted

Paul,

Does this include the Wallet or it only patch if I have Wallet already?

I don't see Wallet on my HOX after I installed Xposed and this apk.

The reason I am asking coz I can't get Wallet from Play and I don't have the Wallet.apk....

My mistake, I just see that I need to have wallet first. I downloaded GWallet from my GNex and transferred the apk to my HOX but the wallet won't initialize. Can you help?

Thank you,

You need to install the app...

P

0

Share this post


Link to post
Share on other sites

Posted

You need to install the app...

P

I get the wallet.apk from a GNex, install on my HOX. It open and did NOT said incompatible but the "5 minutes" waiting never finish...

0

Share this post


Link to post
Share on other sites

Posted

Same issue happened with me even after I installed the wallet apk with the xmod installer

0

Share this post


Link to post
Share on other sites

Posted

It doesn't work outside the USA, and hasn't done for about half a year now. There's currently no way to get payments to work unless you're in the USA.

So whats the point of all this then? You get the app to install and load but it won't ever process a payment? I have seen some posts online about needing to change the credit card address to a US one. Can anyone confirm?

0

Share this post


Link to post
Share on other sites

Posted

I've also packaged my various xposed mods (with more to come) in a paid app on the Play Store. You can of course download them individually for free still! :)

https://play.google.....xposed.toolkit

P

Paul, I'm a big fan of all your Android mods and truly appreciate all the hard work you put into it. So, please don't take this as a slam or even a demand of any sort, but you have to get that not everyone wants Xposed installed, whatever the reasons may be. Would you be willing to share how you mod the apk to make it work so we can create our own? Should you not want to share that info and being that G Wallet only seems to get updated every 3 months or so, would you mind sharing a modded apk, if you have a free moment? A Google Search does not show anyone who has successfully modded the newest G Wallet. Thanks in advance.

0

Share this post


Link to post
Share on other sites

Posted

So whats the point of all this then? You get the app to install and load but it won't ever process a payment? I have seen some posts online about needing to change the credit card address to a US one. Can anyone confirm?

Exactly, there is no point. Changing your address to a US one will still have the transaction declined, and you'll then also probably get a call from your bank's fraud prevention department.

The only use of this modification is for people in the USA on unsupported phones. You cannot use Google Wallet outside of the USA; this should be made clearer in the first page.

0

Share this post


Link to post
Share on other sites

Posted

Redid the steps on a different ROM and I still have the issue of Wallet closing after the 5 minute set up screen. Paul, is this the fact that I have a AT&T HTC One and the security files have been removed yet again?

0

Share this post


Link to post
Share on other sites

Posted

I never got it working on my One as yet...

P

0

Share this post


Link to post
Share on other sites

Posted

Ah ok. Now I'm curious as to the problem if your international One isn't able to use it either.

0

Share this post


Link to post
Share on other sites

Posted

I never got it working on my One as yet...

P

Paul, long time no talk, been working on getting this running on my One as well with no luck...hangs during setup..

0

Share this post


Link to post
Share on other sites

Posted

I am getting the same issue. Stuck on setting up wallet, this may take up to 5 minutes. Ive tried multiple roms, WIFI, 3g, 4g and in areas across 40 miles as I travel. Nothing helps. Any ideas?

0

Share this post


Link to post
Share on other sites

Posted

what carrier do you run Ron?

0

Share this post


Link to post
Share on other sites

Posted

what carrier do you run Ron?

Sprint. The issue started about 3-4 weeks ago. I've tried everything I can think of, even went back to a sense rom from CM10.1 but the issue remains. Ive tried using the hacked wallet apps to remove the checks, using the method here, even went as far as doing the old workarounds with the build prop edits.

0

Share this post


Link to post
Share on other sites

Posted

I have tried everything too. Still working on it. Will let you know if I get it working.

0

Share this post


Link to post
Share on other sites

Posted

I have tried everything too. Still working on it. Will let you know if I get it working.

i switched phones to toeh Sprint HTC one, and still had the issue. but somehow, miraculously, i got it to work. I have no idea how or if its repeatable

Installed Xposed on phone, ran prog, hit install and rebooted

Installed This wallet - https://www.dropbox.com/s/mwpc7a1sy9lsi1s/Wallet_1.6-R96-v16.apk but did not open the program

Installed the Modaco Wallet Module, enabled it in the Xposed program and rebooted

Installed the Modaco Pro Toolkit (free at the moment), enabled the module in exposed, and rebooted

Ran wallet and it set up instantly.

Give it a try and let me know

0

Share this post


Link to post
Share on other sites

Posted (edited)

Redid the steps on a different ROM and I still have the issue of Wallet closing after the 5 minute set up screen. Paul, is this the fact that I have a AT&T HTC One and the security files have been removed yet again?

I never got it working on my One as yet...

P

and all this time paul i thought you had it working on the ONE....that explains it all!

ok, here is the deal. the secure element is not enabled on the gsm model roms that are available. it will work on the sprint htc one because the secure element is enabled.

In the past (galaxy s3) we were able to steal the libs from a sprint s3 and got it working on the gsm s3's.

for the one, I have tried flashing the same files we used before, I got them from the a sprint rom...but I am still seeing "no smx detected" ...there is obviously another (new) file I need...

fyi, the galaxy s4 is having the same problem...working with those guys too. the solution should point the way for all.

until then, I am rocking the xperia z, and yes wallet works beautifully

Edited by ogdobber
1

Share this post


Link to post
Share on other sites

Posted

and all this time paul i thought you had it working on the ONE....that explains it all!

ok, here is the deal. the secure element is not enabled on the gsm model roms that are available. it will work on the sprint htc one because the secure element is enabled.

In the past (galaxy s3) we were able to steal the libs from a sprint s3 and got it working on the gsm s3's.

for the one, I have tried flashing the same files we used before, I got them from the a sprint rom...but I am still seeing "no smx detected" ...there is obviously another (new) file I need...

fyi, the galaxy s4 is having the same problem...working with those guys too. the solution should point the way for all.

until then, I am rocking the xperia z, and yes wallet works beautifully

I'm not certain this will be of any help to anyone not running a Touchwiz ROM, but I pulled these CSC edits from the Sprint Galaxy S3 (only US GS3 with official Google Wallet functionality)

<CscFeature_NFC_SetSecureEventType>GOOGLE</CscFeature_NFC_SetSecureEventType>

<CscFeature_NFC_SetAccessControlType>NONE</CscFeature_NFC_SetAccessControlType>

You would add these lines to either /system/csc/feature.xml or /system/csc/others.xml if your ROM doesn't have a feature.xml

By comparison, the US at&t Galaxy S3 has the line in it's feature.xml

<CscFeature_NFC_SetSecureEventType>ISIS</CscFeature_NFC_SetSecureEventType>

but does not have the 2nd line, at all.

...hoping this adds to solving the mystery.

0

Share this post


Link to post
Share on other sites

Posted (edited)

i switched phones to toeh Sprint HTC one, and still had the issue. but somehow, miraculously, i got it to work. I have no idea how or if its repeatable

Installed Xposed on phone, ran prog, hit install and rebooted

Installed This wallet - https://www.dropbox....1.6-R96-v16.apk but did not open the program

Installed the Modaco Wallet Module, enabled it in the Xposed program and rebooted

Installed the Modaco Pro Toolkit (free at the moment), enabled the module in exposed, and rebooted

Ran wallet and it set up instantly.

Give it a try and let me know

I tried this, but now I'm getting

"Device Not Ready"

Wallet is unable to proceed until this device is fully initialized. Make sure the device has network access and try rebooting if the problem persists.

Before trying this, I was able to initialize Wallet, but it would fail to authorize cards.

Any suggestions?

Edited by tithefug
0

Share this post


Link to post
Share on other sites

Posted

I tried this, but now I'm getting

"Device Not Ready"

Wallet is unable to proceed until this device is fully initialized. Make sure the device has network access and try rebooting if the problem persists.

Before trying this, I was able to initialize Wallet, but it would fail to authorize cards.

Any suggestions?

none, i followed my own steps above on a new rom and it worked for me again... I have no idea.

0

Share this post


Link to post
Share on other sites

Posted

tried this on my TMO Galaxy S4 i installed along with the build.prop edit and the Sprint S4 NFC files and i still get the following error:

"Sorry, this device is not yet supported. We are working to add support. Please Check Market later for updates."

Any ideas??

0

Share this post


Link to post
Share on other sites

Posted (edited)

Paul, first I'd like to thank you for your previous patched Wallet apks. It makes me upset that carrier politics hurt the consumer and it takes this level of work to get something so trivial working.

I have security concerns about the Xposed framework and don't want to install it on my devices. I've been working to patch the latest wallet version myself. I've looked at the smali generated by pulling apart your last patched wallet apk and also what you did in your xposed module. I think I have a patched apk together, but when attempting to sign it I get an error telling me that I have insufficient privileges and that there are insufficient secure element privileges for this system (test-keys). I think I'm signing the apk wrong.

Would you be able to pass along how you signed the wallet apk so that it would run? Thanks!

EDIT: Here's the post with a screencap of the issue and apks that I generated http://forum.xda-developers.com/showpost.php?p=41294245&postcount=160

Edited by mikejr83
0

Share this post


Link to post
Share on other sites

Posted

Hey Paul! I'll buy you a phone of your choice if you can figure out how to get Wallet running on an AT&T HTC One :)

0

Share this post


Link to post
Share on other sites

Posted

Paul, first I'd like to thank you for your previous patched Wallet apks. It makes me upset that carrier politics hurt the consumer and it takes this level of work to get something so trivial working.

I have security concerns about the Xposed framework and don't want to install it on my devices. I've been working to patch the latest wallet version myself. I've looked at the smali generated by pulling apart your last patched wallet apk and also what you did in your xposed module. I think I have a patched apk together, but when attempting to sign it I get an error telling me that I have insufficient privileges and that there are insufficient secure element privileges for this system (test-keys). I think I'm signing the apk wrong.

Would you be able to pass along how you signed the wallet apk so that it would run? Thanks!

EDIT: Here's the post with a screencap of the issue and apks that I generated http://forum.xda-developers.com/showpost.php?p=41294245&postcount=160

You can't sign them, you have to zip the classes.dex into the original APK and push to /system rather than installing normally.

P

0

Share this post


Link to post
Share on other sites

Posted

Hi guys,

I've done everything as suggested but upon launching wallet I'm getting 'insufficient secure element privileges for this system image (release keys)' I'm running un-branded firmware for the Galaxy S4 4.2.2, build XXUAMDM. :)

Any help would be appreciated! :)

0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now

MoDaCo is part of the MoDaCo.network, © Paul O'Brien 2002-2015. MoDaCo uses IntelliTxt technology.